<?
if($ku['dostup']<1)
{
echo '<div class="block">';
echo '<img src="/images/smiles/zayac.gif"> Упс! Вход только админу.';
echo '</div>';
include_once 'inc/foot.php';
exit;
}
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название');}
$work=$_POST['work'];
if(strlen2($work)<1){$err=1;err_game('Слишком короткое название');}
$cena=intval($_POST['cena']);
$money=intval($_POST['money']);
$rating=intval($_POST['rating']);
$level=intval($_POST['level']);
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверный доход');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_zav` SET `name` = '$name', `cena` = '$cena', `rating` = '$rating', `money` = '$money', `level` = '$level', `work` = '$work'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/zavod/$id.png");
header("location: ?admin=$admin");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Название завода:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Вид производства:<br /><input name=\"work\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Доход:<br /><input name=\"money\" tyype=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение завода (потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form></div>\n";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_zav` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_zav` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/zavod/$edit[id].png");
move_uploaded_file($tmp, 
"images/zavod/$edit[id].png");
header("Location:?admin=$admin&edit=$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Изображение завода:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';

if(isset($_POST['ok']))
{
$name=$_POST['name'];
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название');}
$work=$_POST['work'];
if(strlen2($work)<1){$err=1;err_game('Слишком короткое название');}
$cena=intval($_POST['cena']);
$money=intval($_POST['money']);
$rating=intval($_POST['rating']);
$level=intval($_POST['level']);
if(!is_numeric($money) || strlen2($money)<1){$err=1;err_game('Неверный доход');}
if(!is_numeric($cena) || strlen2($cena)<1){$err=1;err_game('Неверная цена');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверный опыт');}
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень доступности');}
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_zav` SET `name` = '$name', `cena` = '$cena', `rating` = '$rating', `money` = '$money', `level` = '$level', `work` = '$work' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/zavod/$edit[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "<a href='?admin=$admin&edit=$edit[id]&change_img'>Заменить изображение</a>";
echo "</div></li></ul><div style='clear:both'></div>";
echo "<form method=\"post\">\n";
echo "Название завода:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Вид производства:<br /><input name=\"work\" type=\"text\" maxlength='32' value='$edit[work]' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='$edit[cena]' /><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "Доход:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]'/><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='?admin=$admin&del=$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_zav` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_zav` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_zav` WHERE `id` = '$del[id]'");
mysql_query("UPDATE `kolhoz_zavod` SET `id_pet` = '0' WHERE `id_pet` = '$del[id]'");
unlink("images/zavod/$del[id].png");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
include_once 'inc/foot.php';
exit;
}


echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_zav`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_zav` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<a href='?admin=$admin&edit=$post[id]&change_img'><img width='48' height='48' src='images/zavod/$post[id].png' alt='o' class='portrait'></a>";
echo "<div class='small'>";
echo "<a href='?admin=$admin&edit=$post[id]'><span>".hsc($post['name'])."</span></a><span class='minor'>, цена: </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'><span class='title'>$post[cena]</span></span> (доступно с $post[level] уровня</span>)</div><div class='minor small'><span>".hsc($post['work'])."</span>, доход: <span><img width='16' height='16' src='images/icons/money.png' alt='o'> <span
class='title'>$post[money]</span></span>, опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'>
<span>$post[rating]</span></div></li>";
}
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
echo "<li>&raquo; <a href='?admin=$admin&add'>Добавить завод</a></li>";
echo "</ul></div>";
include_once 'inc/foot.php';
exit;
?>